Cómo instalar Octave en El Capitan?

El nuevo GNU Octave 4.0.1 fue lanzado el 23 de marzo de 2016. Me gustaría encontrar alguna manera estándar de instalarlo en El Capitán (mina OS X 10.11.3) porque tiene soporte significativamente mejor en algunas funciones que Matlab, discutido en el hilo aquí . Hago la brew search octave y consigo

 homebrew/science/octave Caskroom/cask/octave Caskroom/cask/xoctave 

donde uno de los dos primeros debe ser uno correcto. El soporte de la página de inicio del proyecto para OS X se encuentra aquí abajo sobre la installation de Octave en sistemas OS X. También hay forma de Ruby de instalar Octave descrito en el hilo Cómo instalar Octave en OS X (Yosemite) pero para Yosemite. Me gustaría encontrar alguna forma estándar de get Octave para OS X.

  • La forma más rápida de dividir un file de video en dos?
  • No se puede reiniciar porque OS X piensa que una aplicación está abierta
  • Cómo get el text seleccionado en un AppleScript, sin copyr el text en el portapapeles?
  • ¿Hay algo como OneTab disponible para Safari?
  • Macbook Pro Core 2 Duo no instalará SO de 64 bits X 10.7
  • Batería - Apagar o dormir un MBP
  • Hago exitosamente el brew update y brew upgrade antes de los commands. Mi Homebrew es 0.9.5 (revisión git 80d1; último compromiso 2016-03-24). user1256923 . Corro brew info octave pero obtengo

     Error: No available formula with the name "octave" 

    ¿Cómo se puede instalar Octave de alguna manera estándar para El Capitán?

  • Carpeta en el lado izquierdo del muelle
  • locking de count progtwigdo Mac OS X
  • Acceso al directory de aplicaciones en Terminal
  • ¿Puedo conectarme a un punto de acceso específico por BSSID?
  • ¿Cómo se hacen capturas de pantalla con una sombra?
  • Error de estructura de disco informado en Onyx pero no se puede corregir mediante la utilidad de disco en modo de recuperación
  • 3 Solutions collect form web for “Cómo instalar Octave en El Capitan?”

    Usando MacPorts ( http://macports.org/ ), con información de las instrucciones en http://blog.hani-ibrahim.de/en/octave4-mac-os-x-el-capitan-install.html (también como http://blog.hani-ibrahim.de/en/octave-mac-os-x-el-capitan-install.html y http://blog.hani-ibrahim.de/en/octave4-upgrade-via -macports.html ) así como el wiki de Octave en http://wiki.octave.org/Octave_for_MacOS_X#MacPorts

    Parece que la variante de atlas pnetworkingeterminada de MacPort no funciona bien con Octave, y arpac y qrupdate también tienen problemas con su installation pnetworkingeterminada, necesitando "variantes" específicas para build correctamente. Básicamente para get todos de Octave 4 en funcionamiento, lo hice:

     sudo port install atlas +gcc5 sudo port install arpack -accelerate+atlas+gfortran sudo port install qrupdate -accelerate+atlas+gcc5 sudo port install octave -gcc5+gfortran-accelerate+atlas+docs+fltk+graphicsmagick+java-gui-metis-qtgui+app+qt4gui+sound 

    Probablemente algunas de las banderas de variantes de octava son innecesarias para algunas personas, pero fui con las opciones sugeridas por hani-ibrahim.de y funciona para que yo consiga la línea de command de Octave y funcionando, así como dar una octave.app nifty en el directory / Applications / MacPorts.

    Si necesita el soporte de Java con la variante Java (+ java) como anteriormente, probablemente necesite un JDK (Java Development Kit) para get la línea de command necesaria para que funcione esa magia, así que vaya a ( http://www.oracle .com / technetwork / java / javase / index.html ) para una descarga. Tal vez el menor JRE (Java Runtime Environment) sería suficiente, pero he instalado el JDK completo. Omitir el indicador (+ java) elimina este requisito.

    Acabo de probarlo (2016/09/01) en Mac OS X 10.11.6 y fue capaz de intall a través de MacPorts sin errores, terminando con atlas @ 3.10.2_2, arpack @ 3.3.0_3, qrupdate @ 1.1.2_4 y octava @ 4.0.3_0

    En aproximadamente 2016/12/05, con sólo las herramientas de command-line xcode instaladas (no el XCode completo), pude usar lo anterior para instalar en macOS 10.12.1 Sierra: arpack @ 3.3.0_3, atlas @ 3.10.2_2 , qrupdate @ 1.1.2_4 y octave @ 4.2.0_1. Yo inicialmente no fue capaz de get 4.2.0_0 instalado, pero 0_1 finalmente lo hizo. La installation finalizó con la advertencia "a less que la octava se ejecute con -no-gui-libs, graphics_toolkit (" fltk ") causará un fallo" pero no he investigado este problema.

    De mi homebrew:

     brew info octave homebrew/science/octave: stable 4.0.0 (bottled), HEAD high-level interpreted language for numerical computing https://www.gnu.org/software/octave/index.html Not installed 

    y

     brew cask info octave octave: 3.8.2-1 Octave https://gnu.org/software/octave/ Not installed 

    xoctave es un gui que sospecho que es independiente. Me gustaría usar homebrew para la installation.

    FWIW el wiki de Octave explica qué hacer:

     brew tap homebrew/science brew update && brew upgrade --all brew install octave 

    si ya ha instalado gcc …

     sudo chown -R (nombre de usuario): admin / usr / local / lib / gcc /
    

    y

     brew install octave
    

    después de esto, haces dedos cruzados …

    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).